
function changeShowType(obj, type){
	//judge
	if(obj.src.indexOf("_act") != -1) return;
	//hidden other
	var node = childs(obj.parentNode.childNodes);
	for(var i=0;i<node.length;i++){
		node[i].src = node[i].src.replace("_act", "");
	}
	//show now
	obj.src = obj.src.replace(".gif", "_act.gif");
	//change style
	changeCss(type);
}

function changeCss(type){
	if(type == "0")
		document.getElementById("listcss").href = "../public/list/css_list.css";
	else
		document.getElementById("listcss").href = "../public/list/css_list"+type+".css";
}

//兼容FF下的childNodes
function childs(nodes)
{
    if(!nodes.length) 
        return [];
    var ret=[];
    for(var i=0;i<nodes.length;i++)
    {
        if(nodes[i].nodeType!=1) 
            continue;
        ret.push(nodes[i]);
    }
    return ret;
}